import { jsx as _jsx } from "react/jsx-runtime";
import Checkbox from "@mui/material/Checkbox";
import omit from "lodash/omit";
import { useEffect, } from "react";
import * as formControlStyles from "../../styles/formControl.module.scss";
import * as styles from "./Checkbox.module.scss";
const EnhancedCheckbox = ({ onChangeValue, ...props }) => {
    const { control, id, objectPathId } = props;
    const { selected = false } = control;
    const value = control.value || "on";
    const currObjectPathId = objectPathId || id;
    //* set default value on first render -> add unit test when wrapper component is available
    useEffect(() => {
        onChangeValue({ value: control.selected ? value : "" });
    }, []);
    const onClick = () => {
        onChangeValue({
            selected: !control.selected,
            value: !control.selected ? value : "",
        });
    };
    const inputProps = Object.assign(omit(props, ["objectPathId", "checked", "control", "displayName", "error"]), {
        name: currObjectPathId,
        value: value,
        type: control.control,
        role: control.control,
    });
    return (_jsx(Checkbox, { className: `${formControlStyles["form-control"]} ${styles["checkbox-container"]}`, id: currObjectPathId, color: "default", checked: selected, readOnly: control["custom-attributes"]?.readOnly, onClick: onClick, inputProps: inputProps, sx: {
            marginLeft: "-11px",
            color: "rgba(0,0,0,0.54)",
            "&:checked": {
                color: "rgba(0,0,0,0.54)",
            },
        } }));
};
export default EnhancedCheckbox;
//# sourceMappingURL=Checkbox.js.map