import { jsx as _jsx } from "react/jsx-runtime";
import mergeWith from "lodash/mergeWith";
import { useContext } from "react";
import { FormDataContext } from "../../context/FormData";
import FormGroup from "../FormGroup";
const Wrapper = ({ Control, config, isExpert, hideLabel = false, controlProps, }) => {
    const { control, id, objectPathId, groupIsRequired } = config;
    const { error, displayName, required } = control;
    const { updateControl } = useContext(FormDataContext);
    const handleOnChange = (newProperties, customizer) => {
        const mergeProps = {
            hasChanged: true,
            ...newProperties,
        };
        updateControl(objectPathId || id, mergeWith({}, control, mergeProps, customizer));
    };
    const formGroupProps = {
        id,
        objectPathId,
        error: error?.message,
        displayName,
        hideLabel,
        isExpert,
        required: groupIsRequired ? required : false,
    };
    const enhancedConfig = {
        objectPathId,
        id,
        control: {
            ...control,
            required: groupIsRequired ? required : false,
        },
    };
    return (_jsx(FormGroup, { controlProps: controlProps, ...formGroupProps, children: _jsx(Control, { controlProps: controlProps, onChangeValue: handleOnChange, ...enhancedConfig }) }));
};
export default Wrapper;
//# sourceMappingURL=ControlWrapper.js.map