import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import CheckCircleIcon from "@mui/icons-material/CheckCircle";
import Button from "@mui/material/Button";
import { useEffect, useState } from "react";
import { DateRange, DefinedRange } from "react-date-range";
import "react-date-range/dist/styles.css";
import "react-date-range/dist/theme/default.css";
const CalendarModal = ({ handleDateChange, from, to }) => {
    const [state, setState] = useState([
        {
            startDate: new Date(),
            endDate: new Date(),
            key: "selection",
        },
    ]);
    const [isMobile, setMobile] = useState(window.matchMedia("(max-width: 615px)").matches);
    const [isSmallerCalender, setSmallerCalender] = useState(window.matchMedia("(max-width: 1200px)").matches);
    const handleMobile = () => {
        const onlyOne = window.matchMedia("(max-width: 1200px)").matches;
        onlyOne !== isSmallerCalender && setSmallerCalender(onlyOne);
        const matchMedia = window.matchMedia("(max-width: 615px)").matches;
        matchMedia !== isMobile && setMobile(matchMedia);
    };
    window.addEventListener("resize", handleMobile);
    useEffect(() => {
        let fromArr = [];
        let toArr = [];
        if (from)
            fromArr = from.split("-");
        if (to)
            toArr = to.split("-");
        const newStartDate = from
            ? new Date(Number(fromArr[0]), Number(fromArr[1]) - 1, Number(fromArr[2]))
            : new Date();
        const newEndDate = to
            ? new Date(Number(toArr[0]), Number(toArr[1]) - 1, Number(toArr[2]))
            : newStartDate;
        setState([
            {
                startDate: newStartDate,
                endDate: newEndDate,
                key: "selection",
            },
        ]);
    }, [from, to]);
    const handleCalendarLogic = (selection, keepModalState) => {
        setState(selection);
        if (selection[0].startDate !== selection[0].endDate) {
            handleDateChange(selection[0], keepModalState);
        }
    };
    const handleClose = () => {
        handleDateChange(state[0]);
    };
    return (_jsx("div", { children: isMobile ? (_jsxs("div", { style: { display: "flex", flexDirection: "column" }, children: [_jsx(DateRange, { onChange: (item) => handleCalendarLogic([item.selection]), moveRangeOnFirstSelection: false, ranges: state, direction: "horizontal" }), _jsxs(Button, { variant: "contained", size: "medium", sx: {
                        display: "flex",
                        alignItems: "center",
                        alignSelf: "flex-end",
                        marginRight: "16px",
                        marginBottom: "16px",
                        gap: "8px",
                        width: "fit-content",
                        backgroundColor: "#4A96D2",
                        boxShadow: "none",
                        "&:hover": {
                            backgroundColor: "#0B5BA6",
                            boxShadow: "none",
                        },
                    }, onClick: handleClose, children: [_jsx("p", { style: {
                                all: "unset",
                            }, children: "CONFIRM" }), _jsx(CheckCircleIcon, { style: { color: "white", width: "20px", height: "20px" } })] })] })) : (_jsxs("div", { style: { display: "flex", flexDirection: "column" }, children: [_jsxs("div", { style: { display: "flex" }, children: [_jsx(DefinedRange, { ranges: state, onChange: (item) => handleCalendarLogic([item.selection], true) }), _jsx(DateRange, { ranges: state, onChange: (item) => handleCalendarLogic([item.selection]), showDateDisplay: false, direction: "horizontal", months: isSmallerCalender ? 1 : 2, "data-testid": "date-range-picker" })] }), _jsxs(Button, { variant: "contained", size: "medium", sx: {
                        display: "flex",
                        alignItems: "center",
                        alignSelf: "flex-end",
                        marginRight: "16px",
                        marginBottom: "16px",
                        gap: "8px",
                        width: "fit-content",
                        backgroundColor: "#4A96D2",
                        boxShadow: "none",
                        "&:hover": {
                            backgroundColor: "#0B5BA6",
                            boxShadow: "none",
                        },
                    }, onClick: handleClose, children: [_jsx("p", { style: {
                                all: "unset",
                            }, children: "CONFIRM" }), _jsx(CheckCircleIcon, { style: { color: "white", width: "20px", height: "20px" } })] })] })) }));
};
export default CalendarModal;
//# sourceMappingURL=CalendarModal.js.map