import { jsx as _jsx } from "react/jsx-runtime";
import { Component } from "react";
import { StyledQueryControlWrapper } from "../QueryControl/ui-helper/Wrapper/QueryControlWrapper.styles";
class ErrorBoundary extends Component {
    state = {
        hasError: false,
    };
    static getDerivedStateFromError(_) {
        return { hasError: true };
    }
    componentDidCatch(error, errorInfo) {
        console.error("Uncaught error:", error, errorInfo);
    }
    render() {
        if (this.state.hasError) {
            return (_jsx(StyledQueryControlWrapper, { children: _jsx("p", { style: { paddingLeft: 205 }, children: "Ein Fehler ist aufgetreten, bitte erneut versuchen" }) }));
        }
        return this.props.children;
    }
}
export default ErrorBoundary;
//# sourceMappingURL=ErrorBoundary.js.map