import { jsx as _jsx } from "react/jsx-runtime";
import { FileUploader as FileUploaderComponent, } from "@micromerce/media-fileuploader";
import { useContext } from "react";
import { FormDataContext } from "../../context/FormData";
const FileUploader = ({ ...props }) => {
    const { control, onChangeValue } = props;
    const { "custom-attributes": customAttributes, error, value } = control;
    const { fileUploaderConfig } = useContext(FormDataContext);
    if (!fileUploaderConfig) {
        throw new Error("fileUploaderConfig Prop is not defined");
    }
    const { info, endpoints, language, previewUrl, authorizationHeader } = fileUploaderConfig;
    const fileUploaderProps = {
        value,
        info,
        error: error?.message,
        tags: customAttributes?.tags,
        type: customAttributes?.media,
        readOnly: customAttributes?.readonly,
        mode: "stateful",
        endpoints,
        language,
        onUploadSuccess: (v) => onChangeValue({ value: v, error: "" }),
        previewUrl,
        authorizationHeader,
    };
    return (_jsx("div", { "data-testid": "fileuploader__widget", children: _jsx(FileUploaderComponent, { ...fileUploaderProps }) }));
};
export default FileUploader;
//# sourceMappingURL=FileUploader.js.map