import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as listStyles from "../FormList/FormList.module.scss";
import * as styles from "./FormGroup.module.scss";
const FormGroup = ({ controlProps, ...props }) => {
    const { id, objectPathId, error, displayName, required, hideLabel = false, isExpert, children, } = props;
    const errorClass = error ? "error" : "";
    const expertClass = isExpert ? "expert" : "";
    const currObjectPathId = objectPathId || id;
    const wrapperClasses = objectPathId
        ? `${styles["control-wrapper"]} ${listStyles["control-wrapper"]}`
        : `${styles["control-wrapper"]} ${listStyles["control-wrapper"]} ${styles["control-wrapper-firstlayer"]}`;
    const controlWrapperStyle = controlProps?.controlWrapperProps?.style ?? {};
    const controlWrapperLabelStyle = controlProps?.controlWrapperProps?.label?.style ?? {};
    const controlWrapperContainerStyle = controlProps?.controlWrapperProps?.container?.style ?? {};
    return (_jsxs("div", { className: `${styles["form-group"]} ${listStyles["form-group"]} ${styles[errorClass]} ${styles[expertClass]}`, style: controlWrapperStyle, children: [!hideLabel && (_jsx("label", { htmlFor: currObjectPathId, "data-testid": "control-label", className: `${styles["control-label"]} ${listStyles["control-label"]}`, style: controlWrapperLabelStyle, children: required ? displayName + " *" : displayName })), _jsxs("div", { className: wrapperClasses, style: controlWrapperContainerStyle, children: [children, _jsx("label", { htmlFor: currObjectPathId, className: styles["error-message"], children: error })] })] }));
};
export default FormGroup;
//# sourceMappingURL=FormGroup.js.map