import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React, { useState } from "react";
import { isGroupRequired } from "../../utils/hasGroupRequiredFieldsWithValues";
import HeaderCollapseButton from "../../ui-helper/HeaderCollapseButton";
import * as listStyles from "../FormList/FormList.module.scss";
import QueryControl from "../QueryControl";
import * as styles from "./Group.module.scss";
const Group = ({ ...props }) => {
    const { id, control, objectPathId, groupIsRequired, isInGroup, controlProps, } = props;
    const { "custom-attributes": customAttributes, displayName, controls, required, } = control;
    const itemsLength = Object.entries(controls)?.length ?? 0;
    const defaultCollapseThreshold = Number(customAttributes?.defaultCollapseThreshold);
    const isClosed = itemsLength === 0 || defaultCollapseThreshold <= itemsLength;
    const [isOpen, setIsOpen] = useState(!isClosed);
    const handleToggleOpenState = () => setIsOpen((prev) => !prev);
    const currObjectPathId = objectPathId || id;
    const isRequired = isInGroup
        ? required || groupIsRequired
        : required || isGroupRequired({ controls });
    const groupStyle = controlProps?.groupProps?.style ?? {};
    const groupLabelStyle = controlProps?.groupProps?.label?.style ?? {};
    const isHiddenGroup = !isOpen
        ? { display: "none", visibility: "hidden" }
        : {};
    return (_jsxs("div", { className: styles["form-group-container"], id: id, "data-testid": id, style: groupStyle, children: [_jsxs("div", { className: styles["group-header"], children: [_jsx("h3", { className: `${styles["control-label-group"]} ${listStyles["control-label-group"]}`, style: groupLabelStyle, children: displayName }), _jsx(HeaderCollapseButton, { isOpen: isOpen, onClick: handleToggleOpenState })] }), _jsx("div", { role: "group", style: isHiddenGroup, children: controls &&
                    Object.entries(controls).map(([key, value]) => {
                        const groupObjectPathId = `${currObjectPathId}.controls.${key}`;
                        return (_jsx(React.Fragment, { children: _jsx(QueryControl, { formControl: value, id: id, objectPathId: groupObjectPathId, groupIsRequired: isRequired, isInGroup: true, controlProps: controlProps }, id) }, groupObjectPathId));
                    }) })] }));
};
export default Group;
//# sourceMappingURL=Group.js.map