import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import AddIcon from "@mui/icons-material/Add";
import Paper from "@mui/material/Paper";
import { extractMrn } from "../../utils/mrnUtils/mrnUtils";
import resolveMrnLink from "../../utils/resolveMrnLinks/resolveMrnLink";
const Link = (children, mrnRef, displayName, disableMrnLink, params) => {
    const applicationId = extractMrn(mrnRef)?.applicationId;
    const windowLocation = {
        hash: window.top.location.hash,
        pathname: window.top.location.pathname,
    };
    return (_jsxs(Paper, { ...params, style: { zIndex: 999999999 }, children: [children, !disableMrnLink && (_jsx("a", { className: "mrn-reference-link", "data-testid": "link__mrn-reference-link", href: resolveMrnLink(windowLocation, mrnRef, applicationId), onMouseDown: (e) => e.preventDefault(), rel: "noreferrer", target: "_blank", style: { color: "#4a96d2", textDecoration: "none" }, children: _jsx("ul", { style: { listStyle: "none", padding: "12px" }, children: _jsxs("li", { style: { display: "flex", alignItems: "center", gap: "3px" }, children: [_jsx(AddIcon, { className: "add-icon", style: { marginTop: "-2px" } }), _jsx("span", { children: displayName })] }) }) }))] }));
};
export default Link;
//# sourceMappingURL=Link.js.map