const MRN_SRV_REGEX = /mrn:srv:([a-z-A-Z0-9]+):([a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}):([^\s]*)/g;
// mrn:srv:{service):{applicationId}:{resource}
// mrn:srv:entity:bf1a6272-995d-458e-b575-da4d50a05a04:entries
// mrn:srv:entity:bf1a6272-995d-458e-b575-da4d50a05a04:entries/bf1a6272-995d-458e-b575-da4d50a05a04
export const extractMrn = (mrn) => {
    if (mrn) {
        const matchAll = [...mrn.matchAll(MRN_SRV_REGEX)];
        const match = matchAll && matchAll[0];
        if (match && match.length === 4) {
            return {
                matchAll,
                mrn: match[0],
                serviceName: match[1],
                applicationId: match[2],
                resource: match[3],
            };
        }
        return extractMrnWithoutResource(mrn);
    }
};
const extractMrnWithoutResource = (mrn) => {
    const regex = /mrn:srv:([a-z-A-Z0-9]+):([a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12})/g;
    const matchAll = [...mrn.matchAll(regex)];
    const match = matchAll && matchAll[0];
    if (match && match.length === 3) {
        return {
            matchAll,
            mrn: match[0],
            serviceName: match[1],
            applicationId: match[2],
        };
    }
    return null;
};
//# sourceMappingURL=mrnUtils.js.map