const resolveNestedQueryLink = (objectPath, query) => {
    if (!objectPath)
        return query;
    const regexMatcher = /\[(\d+)]\./;
    let currentQueryPath = objectPath;
    let currentQuery = query;
    let queryRegexResult;
    do {
        queryRegexResult = currentQueryPath.match(regexMatcher);
        if (queryRegexResult) {
            const replaceStringWith = `.items.[${queryRegexResult[1]}].`;
            currentQuery = currentQuery.replace("[*].", replaceStringWith);
            currentQueryPath = currentQueryPath.replace(replaceStringWith, "-");
        }
    } while (queryRegexResult);
    return currentQuery;
};
export default resolveNestedQueryLink;
//# sourceMappingURL=resolveNestedQueryLink.js.map