const extractSelectedOptionValues = (options, selectedOptions) => {
    if (!options || !selectedOptions) {
        return {
            optionValues: [],
            updatedOptions: [],
        };
    }
    const updatedOptions = options.map((ctrlOpt) => ({
        ...ctrlOpt,
        selected: selectedOptions.some((slctOpt) => slctOpt.value === ctrlOpt.value),
    }));
    const value = updatedOptions
        .filter((option) => option.selected)
        .map((option) => option.value);
    return {
        optionValues: value?.length === 1 ? value[0] : value,
        updatedOptions,
    };
};
export default extractSelectedOptionValues;
//# sourceMappingURL=extractSelectedOptionValues.js.map