import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import VisibilityIcon from "@mui/icons-material/Visibility";
import VisibilityOffIcon from "@mui/icons-material/VisibilityOff";
import omit from "lodash/omit";
import { useState, } from "react";
import * as formControlStyles from "../../styles/formControl.module.scss";
import * as styles from "./PasswordInput.module.scss";
const Password = ({ onChangeValue, controlProps, ...props }) => {
    const { control, id, objectPathId, ...restProps } = props;
    const { value = "", "custom-attributes": customAttributes, error, ...restControl } = control;
    const errorClass = error ? "error" : "";
    const [showPassword, setShowPassword] = useState(false);
    const currObjectPathId = objectPathId || id;
    const handleOnChange = (e) => {
        onChangeValue({ value: e.target.value });
    };
    const handleToggleShowPassword = () => setShowPassword((prev) => !prev);
    return (_jsxs("div", { className: styles["password-container"], children: [_jsx("input", { role: "textbox", className: `${formControlStyles["form-control"]} ${styles["password-input"]} ${styles[errorClass]}`, id: currObjectPathId, "data-testid": "password-input__input", name: currObjectPathId, value: value, onChange: handleOnChange, ...customAttributes, ...omit(restControl, ["displayName", "control", "error"]), ...omit(restProps), type: showPassword ? "text" : "password", style: controlProps?.inputProps?.style }), _jsx("button", { className: styles["toggle-icon"], type: "button", children: showPassword ? (_jsx(VisibilityOffIcon, { "data-testid": "password-input__visibility-off-icon", onClick: handleToggleShowPassword })) : (_jsx(VisibilityIcon, { "data-testid": "password-input__visibility-icon", onClick: handleToggleShowPassword })) })] }));
};
export default Password;
//# sourceMappingURL=PasswordInput.js.map