import Checkbox from "../../Checkbox";
import DateRangeGroup from "../../DateRangeGroup";
import FileUploader from "../../FileUploader";
import FormList from "../../FormList";
import Group from "../../Group";
import Input from "../../Input";
import InputFreeSolo from "../../InputFreeSolo";
import MrnInput from "../../MrnInput";
import MultiSelect from "../../MultiSelect";
import PasswordInput from "../../PasswordInput";
import Select from "../../Select";
import Textarea from "../../Textarea";
import AddressGroup from "../../addressGroup/AddressGroup";
const defaultControls = [
    {
        control: Input,
        query: (config) => config.control === "input",
        matchCount: 1,
    },
    {
        control: InputFreeSolo,
        query: (config) => config.control === "input" && !!config?.["custom-attributes"]?.options,
        matchCount: 2,
    },
    {
        control: Textarea,
        query: (config) => config.control === "textarea",
        matchCount: 1,
    },
    {
        control: Select,
        query: (config) => config.control === "select" && !config.multiple,
        matchCount: 2,
    },
    {
        control: MultiSelect,
        query: (config) => config.control === "select" && config.multiple,
        matchCount: 2,
    },
    {
        control: Checkbox,
        query: (config) => config.control === "checkbox",
        matchCount: 1,
    },
    {
        control: PasswordInput,
        query: (config) => config.control === "input" && config.type === "password",
        matchCount: 2,
    },
    {
        control: MrnInput,
        query: (config) => config.control === "input" &&
            !!config?.["custom-attributes"]?.["mrn-ref"] &&
            !config?.["custom-attributes"]?.mrnPreview,
        matchCount: 3,
    },
    {
        control: MrnInput,
        query: (config) => config.control === "input" &&
            !!config?.["custom-attributes"]?.mrnSources &&
            !config?.["custom-attributes"]?.mrnPreview,
        matchCount: 3,
    },
    {
        control: FileUploader,
        query: (config) => config.control === "input" &&
            config.type === "url" &&
            !!config?.["custom-attributes"]?.media,
        matchCount: 3,
    },
    {
        control: Group,
        query: (config) => config.control === "group",
        matchCount: 1,
    },
    {
        control: DateRangeGroup,
        query: (config) => config.control === "group" &&
            config?.["custom-attributes"]?.type === "dateRange",
        matchCount: 2,
    },
    {
        control: AddressGroup,
        query: (config) => config.control === "group" &&
            config?.["custom-attributes"]?.type === "address",
        matchCount: 2,
    },
    {
        control: FormList,
        query: (config) => config.control === "list",
        matchCount: 1,
    },
];
export default defaultControls;
//# sourceMappingURL=defaultControls.js.map