import useValueGeneratorWithContext from "../../../../hooks/useValueGenerator/useValueGenerator";
const allControlsHidden = (controls) => {
    let allHidden = true;
    if (!controls)
        return allHidden;
    for (const control of Object.values(controls)) {
        const formControl = control.control;
        const isRequired = control.required;
        const isGroup = formControl === "group";
        const isList = formControl === "list";
        const isListOrGroup = isList || isGroup;
        const formVisibility = control?.["custom-attributes"]?.visibility?.form;
        const hideOnCondition = typeof formVisibility === "object" && formVisibility?.hideOnCondition;
        const { value: hideOnConditionValue } = useValueGeneratorWithContext({
            query: hideOnCondition,
            objectPathId: "",
        });
        const isHidden = formVisibility === "hidden" || hideOnConditionValue;
        const isExpert = formVisibility === "expert";
        const isHiddenOrExpert = !isRequired && formVisibility && (isHidden || isExpert);
        if (isListOrGroup) {
            const template = isList && control.template;
            const groupControls = isGroup && control.controls;
            const controls = template || groupControls;
            const allItemsHidden = allControlsHidden(controls);
            if (!allItemsHidden && !isHiddenOrExpert) {
                allHidden = false;
                break;
            }
        }
        if (!isListOrGroup && !isHiddenOrExpert) {
            allHidden = false;
            break;
        }
    }
    return allHidden;
};
export default allControlsHidden;
//# sourceMappingURL=allControlsHidden.js.map