import Input from "../../Input";
export const getMatchingControls = (formControl, customControls, defaultControls, id) => {
    return [
        ...customControls.filter((control) => control.query(formControl, id)),
        ...defaultControls.filter((control) => control.query(formControl, id)),
    ].sort((a, b) => a.matchCount < b.matchCount ? 1 : b.matchCount < a.matchCount ? -1 : 0);
};
const getHighestMatchingControl = (formControl, customControls, defaultControls, id) => {
    const matchingControls = getMatchingControls(formControl, customControls, defaultControls, id);
    if (matchingControls[0]?.control) {
        return { control: matchingControls[0]?.control };
    }
    return {
        control: Input,
        error: "No matching control found",
    };
};
export default getHighestMatchingControl;
//# sourceMappingURL=getMatchingControls.js.map