import useValueGeneratorWithContext from "../../../../hooks/useValueGenerator/useValueGenerator";
const hasExpertControl = (controls) => {
    let hasExpert = false;
    if (!controls)
        return hasExpert;
    for (const control of Object.values(controls)) {
        const formControl = control.control;
        const isRequired = control.required;
        const isGroup = formControl === "group";
        const isList = formControl === "list";
        const isListOrGroup = isList || isGroup;
        const formVisibility = control?.["custom-attributes"]?.visibility?.form;
        const hideOnCondition = typeof formVisibility === "object" && formVisibility?.hideOnCondition;
        const { value: hideOnConditionValue } = useValueGeneratorWithContext({
            query: hideOnCondition,
            objectPathId: "",
        });
        const isExpert = formVisibility === "expert";
        const isExpertControl = !isRequired && formVisibility && isExpert && !hideOnConditionValue;
        if (isExpertControl) {
            hasExpert = true;
            break;
        }
        if (isListOrGroup) {
            const template = isList && control.template;
            const groupControls = isGroup && control.controls;
            const controls = template || groupControls;
            const controlsHasExpertControl = hasExpertControl(controls);
            if (controlsHasExpertControl) {
                hasExpert = true;
                break;
            }
        }
    }
    return hasExpert;
};
export default hasExpertControl;
//# sourceMappingURL=hasExpertControl.js.map