import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
// styles
import "./global-ai-wrapper.css";
import * as styles from "./index.module.scss";
import useDependent from "../../../hooks/useDependent/useDependent";
// components
import Spinner from "../../../ui-helper/notifications/images/spinner";
const AiAction = ({ action, objectPathId, isLoading, isDisabled, index, onClick, }) => {
    const { resolvedQuery: resolvedPromptTemplate } = useDependent({
        query: action.promptTemplate,
        objectPathId,
    });
    const handleOnClick = () => {
        if (isLoading)
            return;
        onClick(resolvedPromptTemplate, action.profile, index);
    };
    return (_jsxs("button", { onClick: handleOnClick, className: `${styles.actionButton} ${isLoading ? styles.actionButtonLoading : ""}`, disabled: isDisabled, "data-testid": "textarea-ai-wrapper-action-button", type: "button", children: [_jsx("p", { children: action.displayValue }), isLoading && _jsx(Spinner, {})] }));
};
export default AiAction;
//# sourceMappingURL=aiAction.js.map