import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
// styles
import "./global-ai-wrapper.css";
import * as styles from "./index.module.scss";
// components
import { Tooltip } from "@mui/material";
import { FaCompressAlt } from "@react-icons/all-files/fa/FaCompressAlt";
import { FaExpandAlt } from "@react-icons/all-files/fa/FaExpandAlt";
import cx from "classnames";
import ErrorNotification from "../../../ui-helper/notifications/Error";
import AiAction from "./aiAction";
const AiLayout = ({ AiResponseControl, aiActions, inputControl, objectPathId, aiResponse, isError, isLoading, loadingActionIndex, modalOpen, onModalToggle, handleAccept, handleAiActionClick, handleDiscard, handleBack, handleRetry, }) => {
    return (_jsxs("div", { className: cx(styles.aiWrapperContainer, {
            [styles.expanded]: modalOpen,
        }), "data-testid": "textarea-ai-wrapper", children: [_jsxs("div", { className: styles.aiWrapperContentContainer, children: [_jsx("div", { className: `${styles.aiWrapperContentWrapper} aiWrapperContentWrapper`, children: isError.state ? (_jsx(ErrorNotification, { onBack: handleBack, onRetry: handleRetry })) : (_jsxs(_Fragment, { children: [inputControl, aiResponse && (_jsx("div", { className: styles.aiResponseInputControlContainer, "data-testid": "textarea-ai-response-container", children: _jsx(AiResponseControl, { value: aiResponse.message, readonly: true }) }))] })) }), aiResponse && (_jsxs("div", { className: styles.aiWrapperActionsContainer, "data-testid": "textarea-ai-wrapper-response-actions", children: [_jsxs("button", { onClick: handleDiscard, className: styles.discardButton, "data-testid": "textarea-ai-wrapper-discard-button", type: "button", children: [_jsx("p", { children: "Discard Changes" }), _jsx("i", { className: "fas fa-times" })] }), _jsxs("button", { onClick: handleAccept, className: styles.acceptButton, "data-testid": "textarea-ai-wrapper-accept-button", type: "button", children: [_jsx("p", { children: "Accept Changes" }), _jsx("i", { className: "fas fa-check" })] })] }))] }), _jsxs("div", { className: styles.aiWrapperFooterContainer, "data-testid": "textarea-ai-wrapper-footer", children: [_jsx("div", { className: styles.footerAiIcon, children: aiActions?.length > 0 && (_jsx(Tooltip, { title: "Powered by Artificial Intelligence", arrow: true, componentsProps: {
                                arrow: { sx: { color: "#333" } },
                                tooltip: { sx: { backgroundColor: "#333", color: "white" } },
                            }, children: _jsx("i", { className: "fas fa-sparkles fa-lg" }) })) }), _jsxs("div", { className: styles.aiActionsRightContainer, children: [_jsx("div", { className: styles.aiActionsContainer, "data-testid": "textarea-ai-wrapper-actions", children: aiActions?.map((action, index) => (_jsx(AiAction, { onClick: handleAiActionClick, action: action, objectPathId: objectPathId, isLoading: isLoading && loadingActionIndex === index, isDisabled: isLoading && loadingActionIndex !== index, index: index }, index))) }), !modalOpen && (_jsx(FaExpandAlt, { size: 18, className: styles.expandButton, "data-testid": "textarea-ai-wrapper-expand-button", onClick: onModalToggle })), modalOpen && (_jsx(FaCompressAlt, { size: 18, className: styles.expandButton, "data-testid": "textarea-ai-wrapper-close-button", onClick: onModalToggle }))] })] })] }));
};
export default AiLayout;
//# sourceMappingURL=aiLayout.js.map