import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
// hooks
import { useState } from "react";
import useAi from "./useAi";
// components
import AiLayout from "./aiLayout";
import Box from "@mui/material/Box";
import Modal from "@mui/material/Modal";
const modalBoxStyle = {
    position: "fixed",
    display: "flex",
    top: "50%",
    left: "50%",
    transform: "translate(-50%, -50%)",
    width: "calc(100% - 32px)",
    height: "calc(100% - 32px)",
    bgcolor: "background.paper",
    borderRadius: "4px",
};
const AiWrapper = ({ ...props }) => {
    const { onAcceptAiResponse } = props;
    const useAiProps = useAi({ onAcceptAiResponse });
    const aiLayoutProps = { ...useAiProps, ...props };
    const [open, setOpen] = useState(false);
    const handleToggle = () => setOpen((t) => !t);
    return (_jsxs(_Fragment, { children: [!open && (_jsx(AiLayout, { ...aiLayoutProps, modalOpen: open, onModalToggle: handleToggle })), _jsx(Modal, { open: open, children: _jsx(Box, { sx: modalBoxStyle, children: _jsx(AiLayout, { ...aiLayoutProps, modalOpen: open, onModalToggle: handleToggle }) }) })] }));
};
export default AiWrapper;
//# sourceMappingURL=index.js.map