import { jsx as _jsx } from "react/jsx-runtime";
import TextareaAutosize from "@mui/material/TextareaAutosize";
import omit from "lodash/omit";
import * as styles from "../../../styles/formControl.module.scss";
import * as textareaStyles from "../Textarea.module.scss";
const DefaultEditor = ({ value, onChange, id, readOnly, control, errorClass, textColor, }) => {
    const { "custom-attributes": customAttributes, error, ...restControl } = control ?? {};
    const handleOnChange = (e) => {
        onChange?.({ value: e.target.value, hasEdited: "edited" });
    };
    return (_jsx(TextareaAutosize, { role: "textbox", "data-testid": `textarea-control-${id}`, className: `${styles["form-control"]} ${textareaStyles[errorClass]}`, id: id, name: id, style: {
            flex: "1",
            maxHeight: 400,
            resize: "vertical",
            overflow: "auto",
            color: textColor,
            width: "100%",
        }, value: value, readOnly: readOnly, onChange: handleOnChange, ...omit(customAttributes, ["defaultValue"]), ...omit(restControl, [
            "displayName",
            "control",
            "error",
            "defaultValue",
        ]) }));
};
export default DefaultEditor;
//# sourceMappingURL=Default.js.map