import { jsx as _jsx } from "react/jsx-runtime";
import { markdown, markdownLanguage } from "@codemirror/lang-markdown";
import { HighlightStyle, defaultHighlightStyle, syntaxHighlighting, } from "@codemirror/language";
import { EditorView } from "@codemirror/view";
import { tags } from "@lezer/highlight";
import CodeMirror from "@uiw/react-codemirror";
const MarkdownEditor = ({ value, onChange, id, readOnly, }) => {
    return (_jsx(CodeMirror, { readOnly: readOnly, value: value, onChange: (value) => onChange?.({ value }), extensions: [
            markdown({ base: markdownLanguage }),
            syntaxHighlighting(defaultHighlightStyle),
            syntaxHighlighting(HighlightStyle.define([
                { tag: tags.heading1, fontSize: "24px" },
                { tag: tags.heading2, fontSize: "20px" },
                { tag: tags.heading3, fontSize: "16px" },
            ])),
            EditorView.lineWrapping,
        ], id: id, role: "textbox", "data-testid": "markdown-editor", height: "300px", width: "100%" }));
};
export default MarkdownEditor;
//# sourceMappingURL=Markdown.js.map