import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from "react";
import { isGroupRequired } from "../../utils/hasGroupRequiredFieldsWithValues";
import * as listStyles from "../FormList/FormList.module.scss";
import * as groupStyles from "../Group/Group.module.scss";
import QueryControl from "../QueryControl";
import * as styles from "./AddressGroup.module.scss";
import Countries from "./utils/Countries";
const AddressGroup = ({ ...props }) => {
    const { id, control, objectPathId, groupIsRequired, isInGroup, controlProps, } = props;
    const { displayName, controls, required } = control;
    const countryValue = typeof controls.country?.value === "string" &&
        controls.country?.value.toLowerCase();
    const groupClassName = `${groupStyles["form-group-container"]} ${styles["address-group-container"]}`;
    let addressClassName = `${styles.address} ${listStyles.address}`;
    addressClassName =
        countryValue && styles[countryValue]
            ? `${addressClassName} ${styles[countryValue]}`
            : `${addressClassName} ${styles["address-default"]}`;
    const currObjectPathId = objectPathId || id;
    const isRequired = isInGroup
        ? required || groupIsRequired
        : required || isGroupRequired({ controls });
    const renderAddressControl = (idx, control) => {
        const groupObjectPathId = `${currObjectPathId}.controls.${idx}`;
        control.placeholder = control.placeholder || control.displayName;
        if (idx === "country" && control) {
            control.control = "select";
            control.options = Countries;
        }
        return (_jsx(React.Fragment, { children: _jsx(QueryControl, { formControl: control, hideLabel: true, id: id, objectPathId: groupObjectPathId, groupIsRequired: isRequired, isInGroup: true, controlProps: controlProps }, id) }, groupObjectPathId));
    };
    const addressStyle = controlProps?.addressProps?.style ?? {};
    const addressLabelStyle = controlProps?.addressProps?.label?.style ?? {};
    const addressContainerStyle = controlProps?.addressProps?.container?.style ?? {};
    return (_jsxs("div", { className: groupClassName, id: id, "data-testid": id, style: addressStyle, children: [_jsx("h3", { className: `${styles["control-label-group"]} ${listStyles["control-label-group"]}`, style: addressLabelStyle, children: displayName }), _jsxs("div", { className: addressClassName, style: addressContainerStyle, children: [renderAddressControl("streetName", controls.streetName), renderAddressControl("houseNumber", controls.houseNumber), renderAddressControl("postalCode", controls.postalCode), renderAddressControl("locality", controls.locality), renderAddressControl("country", controls.country)] })] }));
};
export default AddressGroup;
//# sourceMappingURL=AddressGroup.js.map