import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { FaChevronDown } from "@react-icons/all-files/fa/FaChevronDown";
import { FaChevronUp } from "@react-icons/all-files/fa/FaChevronUp";
import { useState } from "react";
import ErrorIcon from "../../../assets/icons/error/Error";
import * as styles from "./index.module.scss";
const ErrorState = ({ error }) => {
    const [isStateErrorMessageOpen, setIsStateErrorMessageOpen] = useState(false);
    const handleToggleErrorMessageOpen = () => {
        setIsStateErrorMessageOpen((prev) => !prev);
    };
    return (_jsxs("div", { className: styles.errorContainer, "data-testid": "form-general-error-container", children: [_jsx("div", { className: styles.iconWrapper, children: _jsx(ErrorIcon, {}) }), _jsx("p", { className: `${styles.errorMessage} ${isStateErrorMessageOpen ? "" : styles.closed}`, "data-testid": "form-general-error-message", children: error }), _jsx("div", { className: styles.errorMessageToggleButtonContainer, children: _jsx("button", { type: "button", onClick: handleToggleErrorMessageOpen, children: isStateErrorMessageOpen ? (_jsx(FaChevronDown, { "data-testid": "form-list__sort-down-button", color: "#B01F14" })) : (_jsx(FaChevronUp, { "data-testid": "form-list__sort-up-button", color: "#B01F14" })) }) })] }));
};
export default ErrorState;
//# sourceMappingURL=index.js.map