import { useEffect } from "react";
import useDependent from "../../useDependent";
const COLOR_DEFAULT = "rgb(85, 85, 85)";
const COLOR_SYNC = "rgba(85, 85, 85, 0.6)";
const useInputDependent = ({ onChangeValue, query, objectPathId, value, hasEdited, }) => {
    if (!query)
        return { textColor: COLOR_DEFAULT };
    const { resolvedQuery, mrnEntriesLoaded } = useDependent({
        query,
        objectPathId,
    });
    useEffect(() => {
        // initial
        if (!hasEdited && resolvedQuery) {
            if (value.length === 0 && !!resolvedQuery) {
                onChangeValue({ value: resolvedQuery, hasEdited: "not-edited" });
            }
            else if (value === resolvedQuery) {
                onChangeValue({ value: resolvedQuery, hasEdited: "not-edited" });
            }
            else if (value !== resolvedQuery) {
                onChangeValue({ value, hasEdited: "edited" });
            }
        }
        if (hasEdited) {
            const newValue = hasEdited === "not-edited" ? resolvedQuery : value;
            onChangeValue({ value: newValue });
        }
    }, [resolvedQuery]);
    const textColor = (!hasEdited || hasEdited === "not-edited") && value?.length > 0
        ? COLOR_SYNC
        : COLOR_DEFAULT;
    return { textColor: mrnEntriesLoaded ? textColor : COLOR_DEFAULT };
};
export default useInputDependent;
//# sourceMappingURL=useInputDependent.js.map