import { jsx as _jsx } from "react/jsx-runtime";
import styled, { keyframes } from "styled-components";
const shimmer = keyframes `
  100% {
    transform: translateX(100%);
  }
`;
const SkeletonWrapper = styled.div `
  position: relative;
  overflow: hidden;
  background-color: #e8e8e8;
  width: ${(props) => props.width};
  max-width: 100%;
  height: ${(props) => props.height};
  border-radius: 4px;

  &::after {
    display: inline-block;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    transform: translateX(-100%);
    background-image: linear-gradient(
      90deg,
      rgba(255, 255, 255, 0) 0,
      rgba(255, 255, 255, 0.2) 20%,
      rgba(255, 255, 255, 0.5) 60%,
      rgba(255, 255, 255, 0)
    );
    animation: ${shimmer} 2s infinite;
    content: "";
  }
`;
const Skeleton = ({ width, height }) => {
    return _jsx(SkeletonWrapper, { width: width, height: height });
};
export default Skeleton;
//# sourceMappingURL=Skeleton.js.map