import { jsx as _jsx } from "react/jsx-runtime";
import { render } from "@testing-library/react";
import { FormDataProvider } from "./context/FormData";
import FormBuilder from "./components/FormBuilder";
export const TestWrapper = ({ children, controls = {}, fileUploaderConfig = {}, resolveUrl = jest.fn(), }) => {
    return (_jsx(FormDataProvider, { controls: controls, fileUploaderConfig: fileUploaderConfig, resolveUrl: resolveUrl, children: children }));
};
const customRender = (ui, options) => render(ui, { wrapper: TestWrapper, ...options });
export const renderViaFormBuilder = (controls, fileUploaderConfig, resolveUrl, options) => {
    const config = {
        items: controls,
        links: [],
        method: "POST",
    };
    return render(_jsx(FormBuilder, { config: config, fileUploaderConfig: fileUploaderConfig, resolveUrl: resolveUrl }), { ...options });
};
// TODO change export
// eslint-disable-next-line import/export
export * from "@testing-library/react";
// eslint-disable-next-line import/export
export { customRender as render };
//# sourceMappingURL=testutils.js.map