import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { FaRedo } from "@react-icons/all-files/fa/FaRedo";
import styled from "styled-components";
import BackgroundLogo from "./images/background";
import UnderImprovementImage from "./images/under-improvement";
const Container = styled.div `
  display: flex;
  justify-content: space-between;
  align-self: center;
  justify-self: center;
  min-height: 300px;
  width: 100%;
`;
const Content = styled.div `
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  width: 100%;
`;
const NonShrinkImageContainer = styled.div `
  flex-shrink: 0;
`;
const Info = styled.div `
  display: flex;
  flex-direction: column;
  gap: 16px;
`;
const Buttons = styled.div `
  display: flex;
  gap: 16px;

  p,
  svg {
    margin: 0;
    padding: 0;
  }
`;
const StyledBackgroundLogo = styled.div `
  position: absolute;
  bottom: 0;
  right: 0;
  padding: 0;
  margin: 0;
  display: flex;
  justify-content: flex-end;
  z-index: -1;
`;
const BackButton = styled.button `
  display: flex;
  padding: 8px 12px;
  justify-content: center;
  align-items: center;
  gap: 8px;
  border-radius: 4px;
  background: #e0e0e0;
  border: none;
  color: rgba(0, 0, 0, 0.96);
  cursor: pointer;
`;
const RetryButton = styled.button `
  display: flex;
  padding: 8px 12px;
  justify-content: center;
  align-items: center;
  gap: 8px;
  border-radius: 4px;
  background: #4a96d2;
  border: none;
  color: white;
  cursor: pointer;
`;
const ErrorNotification = ({ onBack, onRetry }) => {
    return (_jsxs(Container, { children: [_jsxs(Content, { children: [_jsx(NonShrinkImageContainer, { children: _jsx(UnderImprovementImage, {}) }), _jsxs(Info, { children: [_jsxs("p", { children: ["Sorry, but the request has encountered", _jsx("br", {}), " an issue. We're working on fixing it.", _jsx("br", {}), " Please try again later."] }), _jsxs(Buttons, { children: [_jsxs(BackButton, { onClick: onBack, children: [_jsx("p", { children: "Back" }), _jsx(FaRedo, { size: 16, style: { transform: "scaleX(-1)" } })] }), _jsxs(RetryButton, { onClick: onRetry, children: [_jsx("p", { children: "Retry" }), _jsx(FaRedo, { size: 16 })] })] })] })] }), _jsx(StyledBackgroundLogo, { children: _jsx(BackgroundLogo, {}) })] }));
};
export default ErrorNotification;
//# sourceMappingURL=Error.js.map