import { useEffect, useRef, useState } from "react";
import findFormControlError from "../../../utils/findFormControlError";
import determineSubmenuTabs, { determineMenuTabIndexWithControlError, hasControlWithSubmenu, INFORMATION_TAB_KEY, } from "../utils/detemineSubmenuTabs";
export const updateMenuIndexOnSubmit = (hasSubmenuAndError, cb) => {
    if (hasSubmenuAndError)
        cb();
};
const useMenu = (formControls, formSubmitted, isExpertMode) => {
    const subMenu = determineSubmenuTabs(formControls, isExpertMode);
    const hasSubmenu = hasControlWithSubmenu(formControls, isExpertMode);
    const hasError = findFormControlError(formControls);
    const menuItems = hasSubmenu && subMenu?.menuItems;
    const controlGroups = hasSubmenu && subMenu?.controlGroups;
    const defaultActiveMenuItemIndex = hasSubmenu && hasError
        ? determineMenuTabIndexWithControlError(controlGroups)
        : Number(INFORMATION_TAB_KEY);
    const [activeMenuItemIndex, setActiveMenuItemIndex] = useState(defaultActiveMenuItemIndex);
    const activeFormControls = controlGroups?.[activeMenuItemIndex];
    const isInitialRender = useRef(true);
    useEffect(() => {
        updateMenuIndexOnSubmit(hasSubmenu && hasError, () => setActiveMenuItemIndex(determineMenuTabIndexWithControlError(controlGroups)));
    }, [formSubmitted]);
    useEffect(() => {
        if (isInitialRender.current) {
            isInitialRender.current = false;
        }
        else {
            setActiveMenuItemIndex(Number(INFORMATION_TAB_KEY));
        }
    }, [isExpertMode]);
    return {
        activeFormControls,
        activeMenuItemIndex,
        controlGroups,
        hasSubmenu,
        menuItems,
        setActiveMenuItemIndex,
    };
};
export default useMenu;
//# sourceMappingURL=useMenu.js.map