import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as styles from "./menu.module.scss";
const Menu = ({ children, menuItems, activeMenuItemIndex, onActiveMenuItemIndex, }) => {
    return (_jsxs("div", { className: styles.TabMenuContainer, children: [_jsx("div", { className: styles.TabMenu, "data-testid": "form-tab-menu", children: menuItems.map((menuItem, key) => {
                    const isActive = key === activeMenuItemIndex;
                    const className = isActive
                        ? `${styles.TabMenuItem} ${styles.active}`
                        : styles.TabMenuItem;
                    return (_jsxs("div", { className: className, "data-testid": "form-tab-menu-item", "data-active": isActive, onClick: () => onActiveMenuItemIndex(key), children: [_jsx("div", { className: styles.MenuItemIconContainer, children: _jsx("i", { className: menuItem.icon }) }), _jsx("p", { "data-testid": "form-menu-item-name", children: menuItem.name }), _jsx("div", { className: styles.MenuItemTooltip, "data-testid": "form-menu-item-tooltip", children: menuItem.name })] }, key));
                }) }), _jsx("div", { className: styles.MenuFormContainer, "data-testid": "menu-form-container", children: children })] }));
};
export default Menu;
//# sourceMappingURL=index.js.map