const findFormControlError = (controls, condition) => {
    if (!controls)
        return false;
    for (const control of Object.values(controls)) {
        const formControl = control.control;
        let hasError = !!control.error;
        if (condition === "expert") {
            hasError =
                hasError &&
                    control?.["custom-attributes"]?.visibility?.form === "expert";
        }
        if (formControl === "list") {
            hasError = control.items?.some((item) => findFormControlError(item, condition));
        }
        if (formControl === "group") {
            hasError = findFormControlError(control.controls, condition);
        }
        if (hasError)
            return hasError;
    }
    return false;
};
export default findFormControlError;
//# sourceMappingURL=index.js.map